Subject: bug#37939: closed (bug#37939: guix-install.sh: Fails to detect signing key)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 May 2020 00:19:02 +0000

Your bug report

#37939: guix-install.sh: Fails to detect signing key on Debian10.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37939: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37939
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#37939: guix-install.sh: Fails to detect signing key
From: zimoun <[email-masked]>
To: [email-masked]
Date: Fri, 22 May 2020 02:18:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

Because it is not a bug and after 12 weeks without any activity, I am closing.

Best regards,
simon

Subject: guix-install.sh: Fails to detect signing key on Debian10.
From: Kai Mertens <[email-masked]>
To: <[email-masked]>
Date: Sun, 27 Oct 2019 09:59:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear GNU Guix developers,

I just tried to install guix on top of a fresh debian10 system, which
has been installed from debian-live-10.0.0-amd64-gnome.iso and updated.

The guix install script fails in function chk_gpg_keyring(), although
the key is present.

If I remove the discard redirection >/dev/null 2>&1 from the gpg
command, the following message occurs:

 gpg: keyblock resource '/root/.gnupg/pubring.kbx': No such file or directory
 gpg: Fatal: /root/.gnupg: directory does not exist!

Of course these files do not exist, as I imported the key to the user
account, not to the root account. Then I executed the script as user,
using sudo.

This procedure works fine on trisquel7 or 8, but it fails on debian10.

I wonder why ‘sudo gpg’ does not make a difference between being called
via sudo versus being called as root.

Do I use debian the wrong way?

best regards
Kai

-- 
Kai Mertens <[email-masked]>
OpenPGP Key-ID: 0x40B15AB4B05B5BF1 on keys.gnupg.net
Key fingerprint = 7C83 0A80 01FF 679C 6E8E  AFD3 40B1 5AB4 B05B 5BF1
What is that? Please check: https://emailselfdefense.fsf.org/en/